# MediaPlaybackTrait.PlayCommand.Response

# MediaPlaybackTrait.PlayCommand.Response


```
class MediaPlaybackTrait.PlayCommand.Response : ClusterStruct
```

<br />

*** ** * ** ***

The outcome of the `Play` command.

## Summary

| ### Nested types |
|---|
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.PlayCommand.Response.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's response fields. |

| ### Public constructors |
|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.PlayCommand.Response#Response(com.google.home.matter.standard.MediaPlaybackTrait.StatusEnum,kotlin.String)(status: https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.StatusEnum, data: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html?)` Creates a response payload from the Play command. |

| ### Public functions |
|---|---|
| `open https://developers.home.google.com/reference/kotlin/com/google/home/StructDescriptor` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.PlayCommand.Response#getDescriptor()()` Returns the descriptor for the struct. |
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html?` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.PlayCommand.Response#getFieldValueById(kotlin.UInt)(tagId: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html)` Returns the value of the field for the given tag ID. |

| ### Public properties |
|---|---|
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html?` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.PlayCommand.Response#data()` App-specific data pertaining to the Play command. |
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.StatusEnum` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.PlayCommand.Response#status()` The status of the `Play` command. |

## Public constructors

### Response

```
Response(
    status: MediaPlaybackTrait.StatusEnum = StatusEnum.Success,
    data: String? = null
)
```

Creates a response payload from the Play command.

## Public functions

### getDescriptor

```
@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor
```

Returns the descriptor for the struct.

### getFieldValueById

```
@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?
```

Returns the value of the field for the given tag ID.

## Public properties

### data

```
val data: String?
```

App-specific data pertaining to the Play command.

### status

```
val status: MediaPlaybackTrait.StatusEnum
```

The status of the `Play` command.